Gets the Promotions for this location.
Query Parameters
- Type: array of integer | stringFormat: int32promotion
Ids Depending on the PromotionId(-s) passed in request the response will return the details of that(those) promotion(-s)
Responses
- application/json
Request Example for get/v1/promotions
curl https://apiint.api.parpos.com/settings/v1/promotions \
--header 'parpos-access-token: YOUR_SECRET_TOKEN' \
--header 'parpos-location-token: YOUR_SECRET_TOKEN'
Success
{
"Data": [
{
"type": "BogoPromotion",
"AutomaticallyApply": false,
"CanSpanMultipleSeats": false,
"PricingMethod": 0,
"DiscountedItemGroupId": 0,
"DiscountedItemIds": [],
"AllowLaterOrderReductions": true,
"AllowPriorItemPromotions": false,
"AllowPriorOrderReductions": true,
"AllowPriorModifierPromotions": false,
"Priority": 1,
"Code": "SUMMER23",
"CustomFields": [
{
"FieldName": "Description",
"Value": "20% off on all items",
"Id": 1
}
],
"Days": 14,
"EndDate": "2023-09-30T00:00:00",
"EndTime": "23:59:59",
"EnforceDateRange": true,
"EnforceDays": true,
"EnforceMaximumAmount": false,
"EnforceMaximumPerOrder": false,
"EnforceTimeRange": true,
"IsActive": true,
"IsApprovalNeeded": false,
"IsCodeRequired": true,
"LimitDestinations": false,
"LimitSections": false,
"LimitTerminals": false,
"MaximumAmount": 100,
"MaximumPerOrder": 5,
"PrintedName": "Summer Sale 2023",
"Qualifications": [
{
"Amount": 50,
"ItemGroupId": 10,
"Items": [
{
"ItemId": 100,
"Id": 1
}
],
"Type": 0,
"Id": 999
}
],
"Qualify": true,
"RequireSingleUseCode": false,
"StartDate": "2023-06-01T00:00:00",
"StartTime": "00:00:00",
"ValidDestinations": [
{
"DestinationId": 1,
"Id": 998
}
],
"ValidSections": [
{
"SectionId": 1,
"Id": 997
}
],
"ValidTerminalTypes": 0,
"Name": "Summer Sale",
"Id": 1
}
]
}